# ResolvedVariantResult

interface ResolvedVariantResult

The result of successfully resolving a component variant.

#### Since

3.5

## Functions

getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
The attributes associated with this variant.
getCapabilities
Link copied to clipboard
abstract fun getCapabilities(): List<Capability>
The capabilities provided by this variant
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
The display name of this variant, for diagnostics.
getExternalVariant
Link copied to clipboard
abstract fun getExternalVariant(): Optional<ResolvedVariantResult>
If present, this means that this variant is a bridge to another variant found in another module.
getOwner
Link copied to clipboard
abstract fun getOwner(): ComponentIdentifier
The component which owns this variant.